> ## Documentation Index
> Fetch the complete documentation index at: https://hedera-0c6e0218-mintlify-bc559771.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get registered nodes

> Returns the list of registered nodes



## OpenAPI

````yaml /openapi.yaml get /api/v1/network/registered-nodes
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: The current REST API server
    url: ''
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/network/registered-nodes:
    get:
      tags:
        - network
      summary: Get registered nodes
      description: Returns the list of registered nodes
      operationId: getRegisteredNodes
      parameters:
        - $ref: '#/components/parameters/limitQueryParam'
        - $ref: '#/components/parameters/orderQueryParam'
        - $ref: '#/components/parameters/registeredNodeIdQueryParam'
        - $ref: '#/components/parameters/registeredNodeTypeQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisteredNodesResponse'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
components:
  parameters:
    limitQueryParam:
      name: limit
      in: query
      description: The maximum number of items to return
      example: 2
      schema:
        format: int32
        type: integer
        default: 25
        minimum: 1
        maximum: 100
    orderQueryParam:
      name: order
      in: query
      description: The order in which items are listed
      example: desc
      schema:
        enum:
          - asc
          - desc
        default: asc
    registeredNodeIdQueryParam:
      name: registerednode.id
      description: The ID of the registered node
      in: query
      examples:
        noValue:
          summary: '--'
          value: ''
        serialNumNoOperator:
          summary: Example of registeredNodeId equals with no operator
          value: 1
        serialNumEqOperator:
          summary: Example of registeredNodeId equals operator
          value: eq:2
        serialNumGtOperator:
          summary: Example of registeredNodeId greater than operator
          value: gt:3
        serialNumGteOperator:
          summary: Example of registeredNodeId greater than or equals operator
          value: gte:4
        serialNumLtOperator:
          summary: Example of registeredNodeId less than operator
          value: lt:5
        serialNumLteOperator:
          summary: Example of registeredNodeId less than or equals operator
          value: lte:6
      schema:
        type: string
        pattern: ^((eq|gt|gte|lt|lte):)?\d{1,19}$
    registeredNodeTypeQueryParam:
      example: BLOCK_NODE
      in: query
      name: type
      schema:
        $ref: '#/components/schemas/RegisteredNodeType'
  schemas:
    RegisteredNodesResponse:
      type: object
      required:
        - links
        - registered_nodes
      properties:
        registered_nodes:
          $ref: '#/components/schemas/RegisteredNodes'
        links:
          $ref: '#/components/schemas/Links'
    RegisteredNodeType:
      description: Registered node type.
      enum:
        - BLOCK_NODE
        - GENERAL_SERVICE
        - MIRROR_NODE
        - RPC_RELAY
      example: BLOCK_NODE
      type: string
    RegisteredNodes:
      type: array
      items:
        $ref: '#/components/schemas/RegisteredNode'
    Links:
      type: object
      properties:
        next:
          example: null
          nullable: true
          type: string
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    RegisteredNode:
      type: object
      required:
        - admin_key
        - created_timestamp
        - description
        - registered_node_id
        - service_endpoints
        - timestamp
      properties:
        admin_key:
          $ref: '#/components/schemas/Key'
        created_timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        description:
          description: A short description of the node
          nullable: true
          type: string
        registered_node_id:
          description: An identifier for the registered node
          format: int64
          type: integer
        service_endpoints:
          $ref: '#/components/schemas/RegisteredServiceEndpoints'
        timestamp:
          $ref: '#/components/schemas/TimestampRange'
      example:
        admin_key:
          _type: ProtobufEncoded
          key: 421050820e1485acdd59726088e0e4a2130ebbbb70009f640ad95c78dd5a7b38
        created_timestamp: '1586567700.453054001'
        description: alpha
        registered_node_id: 1
        service_endpoints:
          - ip_address_v4: 128.0.0.6
            port: 50216
        timestamp:
          from: '187654.000123457'
          to: null
    Key:
      description: The public key which controls access to various network entities.
      type: object
      nullable: true
      properties:
        _type:
          type: string
          enum:
            - ECDSA_SECP256K1
            - ED25519
            - ProtobufEncoded
          example: ProtobufEncoded
        key:
          type: string
          example: 15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743
    TimestampNullable:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
      nullable: true
    RegisteredServiceEndpoints:
      type: array
      items:
        $ref: '#/components/schemas/RegisteredServiceEndpoint'
    TimestampRange:
      type: object
      description: A timestamp range an entity is valid for
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/Timestamp'
            - description: The inclusive from timestamp in seconds
        to:
          allOf:
            - $ref: '#/components/schemas/TimestampNullable'
            - description: The exclusive to timestamp in seconds
    RegisteredServiceEndpoint:
      type: object
      required:
        - block_node
        - general_service
        - mirror_node
        - port
        - rpc_relay
        - requires_tls
        - type
      allOf:
        - anyOf:
            - required:
                - domain_name
            - required:
                - ip_address
      properties:
        block_node:
          $ref: '#/components/schemas/RegisteredBlockNodeEndpoint'
        domain_name:
          description: The DNS domain name of the service
          example: block1.alpha.com
          nullable: true
          type: string
        general_service:
          $ref: '#/components/schemas/RegisteredGeneralServiceEndpoint'
        ip_address:
          description: The IP address of the service
          example: 191.91.239.79
          nullable: true
          type: string
        mirror_node:
          $ref: '#/components/schemas/RegisteredMirrorNodeEndpoint'
        port:
          format: int32
          type: integer
          minimum: 0
          maximum: 65535
        requires_tls:
          description: Whether the registered service endpoint requires TLS or not.
          type: boolean
        rpc_relay:
          $ref: '#/components/schemas/RegisteredRpcRelayEndpoint'
        type:
          $ref: '#/components/schemas/RegisteredNodeType'
      example:
        domain_name: block1.alpha.com
        general_service: null
        ip_address: null
        mirror_node: null
        port: 40840
        requires_tls: false
        rpc_relay: null
        type: BLOCK_NODE
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
    RegisteredBlockNodeEndpoint:
      type: object
      properties:
        endpoint_apis:
          type: array
          items:
            $ref: '#/components/schemas/RegisteredBlockNodeApi'
    RegisteredGeneralServiceEndpoint:
      type: object
      properties:
        description:
          type: string
    RegisteredMirrorNodeEndpoint:
      type: object
    RegisteredRpcRelayEndpoint:
      type: object
    RegisteredBlockNodeApi:
      type: string
      enum:
        - OTHER
        - STATUS
        - PUBLISH
        - SUBSCRIBE_STREAM
        - STATE_PROOF
        - UNRECOGNIZED
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds

````